## Method and Theory

The cohesive energy of a crystal is defined as the energy per atom needed to separate the atoms from the equilibrium crystal to being infinitely far apart, and therefore non-interacting.  By definition, the cohesive energy can be found relative to the equilibrium energy of the crystal, $E_0$, and the isolated energy of each atom type $\alpha$, $E_{\infty}^{\alpha}$

$$ E_{coh} = \frac{E_0 - \sum_{\alpha} N^{\alpha} E_{\infty}^{\alpha} }{N}$$

where $N$ is the total number of atoms in the crystal and $N^{\alpha}$ is the number of atoms of each species.

Most, but not all, interatomic potentials set the non-interaction energy of each atom to be zero, which reduces the above equation to the common atomistic representation of

$$ E_{coh} = \frac{E_0}{N}$$
