### Stacking Fault Defect Parameters

Defines a stacking fault defect system to construct and analyze.

- __stackingfault_file__: the path to a stacking-fault record file that contains a set of input parameters associated with a specific generalized stacking fault plane. In particular, the stacking-fault record contains values for the x_axis, y_axis, z_axis, atomshift, stackingfault_planeaxis, stackingfault_planepos, stackingfault_shiftvector1, and stackingfault_shiftvector2 parameters. As such, those parameters cannot be specified separately if surface_file is given.
- __stackingfault_cutboxvector__: indicates which Cartesian axis the fault plane and the free surface planes are made perpendicular to. Allowed values are 'a', 'b', and 'c'. See the theory file for more details. Default value is 'c'.
- __stackingfault_faultpos__: specifies a fractional coordinate from 0 to 1 indicating where along the planeaxis direction in the crystal to position the fault plane. This is defined relative to the system after axes rotations have been applied, but before sizemults are used. This makes the faultpos unique to a crystal prototype and orientation, and independent of lattice constants and sizemults. When sizemults is supplied, the fault plane is positioned within a replica near the center of the final system. If an odd sizemult is used for the planeaxis direction, then the fault plane is positioned at faultpos within the middle replica. If an even sizemult is used for the planeaxis direction, then the fault plane is positioned at faultpos within the replica on the positive side of the center of the system.
- __stackingfault_shiftvector1, stackingfault_shiftvector2__: defines one of the two directions of shifting associated with the 2D generalized stacking fault. This is taken as a crystallographic vector relative to the box vectors of the initial load configuration file. This is done so that these values have crystallographic meaning instead of just numerical meaning. Both vectors should be within the fault plane. Ideally, they should be set such that applying a full shiftvector shifts the system from one perfect periodic configuration to the next.